Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class ExternalAuthenticationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.portal.provider.v1.ContainerException
                        |
                        +--oracle.portal.provider.v1.ProviderException
                              |
                              +--oracle.portal.provider.v1.ExternalAuthenticationException

Direct Known Subclasses:
  AuthenticationException, MappingNotFoundException

public class ExternalAuthenticationException
extends ProviderException

ExternalAppException is the base class for all exceptions relating to external applications - most specifically, those relating to authentication

See Also:
  Serialized Form

Constructor Summary
`ExternalAuthenticationException()`
`ExternalAuthenticationException(java.lang.String msg)`
`ExternalAuthenticationException(java.lang.Throwable _t)`

Method Summary
`boolean` | `getCallShow()`
`void` | `setCallShow(boolean show)` When the portal receives an ExternalAuthenticationException it will, by default, display a UI that includes a link to the login server so the user can enter or modify their external application user mapping information.

Methods inherited from class oracle.portal.provider.v1.ContainerException
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalAuthenticationException

    public ExternalAuthenticationException()

### ExternalAuthenticationException

    public ExternalAuthenticationException(java.lang.String msg)

### ExternalAuthenticationException

    public ExternalAuthenticationException(java.lang.Throwable _t)

Method Detail

### setCallShow

    public void setCallShow(boolean show)

  When the portal receives an ExternalAuthenticationException it will, by default, display a UI that includes a link to the login server so the user can enter or modify their external application user mapping information. If you want the display of this UI to be handled by your provider, you should call this method with `true` as the parameter value before throwing the exception. This option gives you the ability to control the text/format in which the link is displayed. If you decide to handle the UI yourself, the SHOW call will include a link you can use to direct the user to the login server.

### getCallShow

    public boolean getCallShow()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD